"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var createHeader = function (title, enabled) {
    if (enabled)
        return "<a class=\"header\" tabindex=\"0\">" + title + "</a>";
    else
        return "<a class=\"header disabled\">" + title + "</a>";
};
var createSection = function (sectionData) {
    if (!('text' in sectionData || 'children' in sectionData)) {
        return createHeader(sectionData.title, false);
    }
    var contentsHtml = '<div class="contents">';
    if ('text' in sectionData) {
        contentsHtml += "<p>" + sectionData.text + "</p>";
    }
    if ('children' in sectionData) {
        contentsHtml += sectionData.children.map(createSection).join('\n');
    }
    contentsHtml += '</div>';
    return createHeader(sectionData.title, true) + '\n' + contentsHtml;
};
exports.default = (function (data) {
    return "\n  <div id=\"nested-accordion\">\n  " + data.map(createSection).join('\n') + "\n  </div>";
});
